--- title: "Export SDK" slug: "apigateway-canarytest-export" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-canarytest-export" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Export SDK Available in Classic and VPC Export an API deployed to Canary in Swagger JSON 2.0, Open API JSON 3.0, and Java SDK formats. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/export | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID associated with the API - 1 - 10 characters | | `api-id` | String | Required | API ID created on the product - 1 - 10 characters | | `stage-id` | String | Required | Stage ID created on the API - 1 - 10 characters | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform file format to download - `SWAGGER_JSON` (default) \| `OPENAPI3_JSON` \| `JAVA_SDK` - `SWAGGER_JSON`: Swagger JSON 2.0 format - `OPENAPI3_JSON`: Open API JSON 3.0 format - `JAVA_SDK`: Java SDK format | | `packageName` | String | Optional | Name of package to export | | `groupId` | String | Optional | Specify group ID in Java when exporting to Java SDK format | | `artifactId` | String | Optional | Specify artifact ID in Java when exporting to Java SDK format | | `artifactVersion` | String | Optional | Specify artifact version in Java when exporting to Java SDK format | | `license` | String | Optional | Specify Java license when exporting to Java SDK format | | `version` | String | Optional | Specify Java version when exporting to Java SDK format | ### Request example The following is a sample request. ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/export' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` "Download File" ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).